Index: npl/system/libnfnetlink/libnfnetlink.SlackBuild
===================================================================
--- npl/system/libnfnetlink/libnfnetlink.SlackBuild	(revision 010568537c6a24bc6e83a1a5814a6f87df3223f6)
+++ npl/system/libnfnetlink/libnfnetlink.SlackBuild	(revision ffaaf60e84be6c65a44a8869b4ed64e3c8941369)
@@ -1,21 +1,25 @@
 #!/bin/bash
+#
+# Automaticly created by importpackage v1.0
+# Imported from: https://mirrors.slackware.com/slackware/slackware-current/source/n/libnfnetlink/
+# Created at ma 14 jun 2021 10:02:10 CEST
 
-NAME=libnfnetlink
-VER=1.0.1
+
+########### source original slackbuild (hopefully we dont need to modify it)
 CWD=`pwd`
-PKGTMP=/tmp/pkgtmp
+set -e
+source ./libnfnetlink.SlackBuild.orig
 
-mkdir -p $PKGTMP &>/dev/null
 
-tar -xjf $NAME-$VER.tar.bz2 || exit 1
+############ make syn3 packages
+cd $CWD
+for PKG in /tmp/package-*; do
+        NAME=`echo $PKG| sed 's/.*package-//'| sed 's/-/_/g'`
 
-cd $NAME-$VER
-./configure --prefix=/usr || exit 1
-make || exit 1
-make DESTDIR=$PKGTMP install || exit 1
+        #seperate dev-package
+        syn3_move_dev $PKG $PKG""_dev
+        syn3_makepkg $PKG""_dev $NAME""_dev $VERSION $ARCH || exit 1
 
-cd "$PKGTMP" || exit 1
-makepkg -l y -c n $CWD/$NAME.pkg > /dev/null &&
-echo $VER > $CWD/$NAME.version &&
-arch > $CWD/$NAME.arch 
-
+        #make main package
+        syn3_makepkg $PKG $NAME $VERSION $ARCH || exit 1
+done
Index: npl/system/libnfnetlink/libnfnetlink.SlackBuild.orig
===================================================================
--- npl/system/libnfnetlink/libnfnetlink.SlackBuild.orig	(revision ffaaf60e84be6c65a44a8869b4ed64e3c8941369)
+++ npl/system/libnfnetlink/libnfnetlink.SlackBuild.orig	(revision ffaaf60e84be6c65a44a8869b4ed64e3c8941369)
@@ -0,0 +1,105 @@
+#!/bin/bash
+
+# Slackware build script for libnfnetlink
+
+# Copyright 2006-2013  Robby Workman, Northport, Alabama, USA
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+#    notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ''AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+cd $(dirname $0) ; CWD=$(pwd)
+
+PKGNAM=libnfnetlink
+VERSION=${VERSION:-$(echo $PKGNAM-*.tar.xz | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
+BUILD=${BUILD:-4}
+
+NUMJOBS=${NUMJOBS:-" -j$(expr $(nproc) + 1) "}
+
+# Automatically determine the architecture we're building on:
+if [ -z "$ARCH" ]; then
+  case "$( uname -m )" in
+    i?86) export ARCH=i586 ;;
+    arm*) export ARCH=arm ;;
+    # Unless $ARCH is already set, use uname -m for all other archs:
+       *) export ARCH=$( uname -m ) ;;
+  esac
+fi
+
+# If the variable PRINT_PACKAGE_NAME is set, then this script will report what
+# the name of the created package would be, and then exit. This information
+# could be useful to other scripts.
+if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
+  echo "$PKGNAM-$VERSION-$ARCH-$BUILD.txz"
+  exit 0
+fi
+
+TMP=${TMP:-/tmp}
+PKG=$TMP/package-$PKGNAM
+
+if [ "$ARCH" = "i586" ]; then
+  SLKCFLAGS="-O2 -march=i586 -mtune=i686"
+  LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+  SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+  LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+  SLKCFLAGS="-O2 -fPIC"
+  LIBDIRSUFFIX="64"
+else
+  SLKCFLAGS="-O2"
+  LIBDIRSUFFIX=""
+fi
+
+rm -rf $PKG
+mkdir -p $TMP $PKG
+cd $TMP
+rm -rf $PKGNAM-$VERSION
+tar xvf $CWD/$PKGNAM-$VERSION.tar.xz || exit 1
+cd $PKGNAM-$VERSION || exit 1
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \+ -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \+
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+  --prefix=/usr \
+  --libdir=/usr/lib${LIBDIRSUFFIX} \
+  --docdir=/usr/doc/$PKGNAM-$VERSION \
+  --enable-static=no \
+  --build=$ARCH-slackware-linux || exit 1
+
+make $NUMJOBS || make || exit 1
+make install DESTDIR=$PKG || exit 1
+
+rm -f $PKG/usr/lib${LIBDIRSUFFIX}/*.la
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | \
+  grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+mkdir -p $PKG/usr/doc/$PKGNAM-$VERSION
+cp -a COPYING* README* $PKG/usr/doc/$PKGNAM-$VERSION
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $TMP/$PKGNAM-$VERSION-$ARCH-$BUILD.txz
Index: npl/system/libnfnetlink/libnfnetlink.build
===================================================================
--- npl/system/libnfnetlink/libnfnetlink.build	(revision 010568537c6a24bc6e83a1a5814a6f87df3223f6)
+++ npl/system/libnfnetlink/libnfnetlink.build	(revision ffaaf60e84be6c65a44a8869b4ed64e3c8941369)
@@ -1,1 +1,1 @@
-6129
+1
Index: npl/system/libnfnetlink/libnfnetlink.md5
===================================================================
--- npl/system/libnfnetlink/libnfnetlink.md5	(revision 010568537c6a24bc6e83a1a5814a6f87df3223f6)
+++ npl/system/libnfnetlink/libnfnetlink.md5	(revision ffaaf60e84be6c65a44a8869b4ed64e3c8941369)
@@ -1,4 +1,8 @@
-98927583d2016a9fb1936fed992e2c5e  ./libnfnetlink-1.0.1.tar.bz2
-e7eb5073b03b7b3ba356dc9b0fc41ae1  ./libnfnetlink.pkg
-80255712beea814442fdea64064c9b91  ./libnfnetlink.SlackBuild
-92387c9358aa8a15b3791b7ef0a21929  ./libnfnetlink.SlackBuild.log.gz
+ea73e29538cc27ff57205fba76fc2388  ./libnfnetlink-1.0.1.tar.xz
+7be91f62fe6a76d18f556166027cb466  ./libnfnetlink_dev.pkg
+49e19417de7656da2f143126ab3a19c6  ./libnfnetlink.pkg
+6db1904d13d053e8e610d617da212569  ./libnfnetlink.SlackBuild
+120871e59cf9237d203066827530c306  ./libnfnetlink.SlackBuild.log.gz
+94c0bc0cf89cb81fcb83830f22a0d264  ./libnfnetlink.SlackBuild.orig
+7e41e23b28cf8c9b4b97b053a47a006d  ./libnfnetlink.url
+11fc7e643cc257acea27a0cb89192fe2  ./slack-desc
Index: npl/system/libnfnetlink/libnfnetlink.url
===================================================================
--- npl/system/libnfnetlink/libnfnetlink.url	(revision ffaaf60e84be6c65a44a8869b4ed64e3c8941369)
+++ npl/system/libnfnetlink/libnfnetlink.url	(revision ffaaf60e84be6c65a44a8869b4ed64e3c8941369)
@@ -0,0 +1,1 @@
+https://netfilter.org/projects/libnfnetlink/files
Index: npl/system/libnfnetlink/libnfnetlink_dev.arch
===================================================================
--- npl/system/libnfnetlink/libnfnetlink_dev.arch	(revision ffaaf60e84be6c65a44a8869b4ed64e3c8941369)
+++ npl/system/libnfnetlink/libnfnetlink_dev.arch	(revision ffaaf60e84be6c65a44a8869b4ed64e3c8941369)
@@ -0,0 +1,1 @@
+i586
Index: npl/system/libnfnetlink/libnfnetlink_dev.build
===================================================================
--- npl/system/libnfnetlink/libnfnetlink_dev.build	(revision ffaaf60e84be6c65a44a8869b4ed64e3c8941369)
+++ npl/system/libnfnetlink/libnfnetlink_dev.build	(revision ffaaf60e84be6c65a44a8869b4ed64e3c8941369)
@@ -0,0 +1,1 @@
+1
Index: npl/system/libnfnetlink/libnfnetlink_dev.version
===================================================================
--- npl/system/libnfnetlink/libnfnetlink_dev.version	(revision ffaaf60e84be6c65a44a8869b4ed64e3c8941369)
+++ npl/system/libnfnetlink/libnfnetlink_dev.version	(revision ffaaf60e84be6c65a44a8869b4ed64e3c8941369)
@@ -0,0 +1,1 @@
+1.0.1
Index: npl/system/libnfnetlink/slack-desc
===================================================================
--- npl/system/libnfnetlink/slack-desc	(revision ffaaf60e84be6c65a44a8869b4ed64e3c8941369)
+++ npl/system/libnfnetlink/slack-desc	(revision ffaaf60e84be6c65a44a8869b4ed64e3c8941369)
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+            |-----handy-ruler------------------------------------------------------|
+libnfnetlink: libnfnetlink (library for netfilter kernel/userspace comm)
+libnfnetlink: 
+libnfnetlink: libnfnetlink is the low-level library for netfilter related 
+libnfnetlink: kernel/userspace communication. It provides a generic messaging
+libnfnetlink: infrastructure for in-kernel netfilter subsystems (such as 
+libnfnetlink: nfnetlink_log, nfnetlink_queue, nfnetlink_conntrack) and their 
+libnfnetlink: respective users and/or management tools in userspace.
+libnfnetlink:
+libnfnetlink:
+libnfnetlink:
+libnfnetlink:
